Bug 1245860 - scary (but harmless) "... device appeared twice with different sysfs paths ..." syslog message
Summary: scary (but harmless) "... device appeared twice with different sysfs paths .....
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-23 01:45 UTC by Hin-Tak Leung
Modified: 2016-11-15 21:25 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 17:08:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 90386 None None None Never

Description Hin-Tak Leung 2015-07-23 01:45:01 UTC
Description of problem:
since upgrading to fedora 22, these scary message appears in dmesg/syslog:

[   26.023338] systemd[1]: Device dev-disk-by\x2dpartlabel-Basic\x5cx20data\x5cx20partition.device appeared twice with different sysfs paths /sys/devices/pci0000:00/0000:00:11.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda3 and /sys/devices/pci0000:00/0000:00:11.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda5
[   26.075208] systemd[1]: Device dev-disk-by\x2dpartlabel-Basic\x5cx20data\x5cx20partition.device appeared twice with different sysfs paths /sys/devices/pci0000:00/0000:00:11.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda3 and /sys/devices/pci0000:00/0000:00:11.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda4
[   26.505164] systemd[1]: Device dev-disk-by\x2dpartlabel-Basic\x5cx20data\x5cx20partition.device appeared twice with different sysfs paths /sys/devices/pci0000:00/0000:00:11.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda3 and /sys/devices/pci0000:00/0000:00:11.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda2
[   27.294204] systemd[1]: Device dev-disk-by\x2dpartlabel-Basic\x5cx20data\x5cx20partition.device appeared twice with different sysfs paths /sys/devices/pci0000:00/0000:00:11.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda3 and /sys/devices/pci0000:00/0000:00:11.0/ata1/host0/target0:0:0/0:0:0:0/block/sda/sda1


Version-Release number of selected component (if applicable):
systemd-219-19.fc22.x86_64

How reproducible:
always 

Steps to Reproduce:
1. just look at dmesg
2.
3.

Actual results:
as above.

Expected results:
no such scary messages.

Additional info:
apparently they are harmless and the "fix" in the upstream repport is simply
downgrading the message level from warning to debug. Please backport, etc.
These scary messages aren't really useful when looking at other issues.

Comment 1 aaronsloman 2015-08-20 10:26:47 UTC
(In reply to Hin-Tak Leung from comment #0)
> Description of problem:
> since upgrading to fedora 22, these scary message appears in dmesg/syslog:

Me too. Running 4.0.8-300.fc22.x86_64

> These scary messages aren't really useful when looking at other issues.

I agree -- and I was very pleased to find this report confirming that this is harmless -- after trying to find out what I could have broken.

Thanks!

Comment 2 Fedora End Of Life 2016-07-19 17:08:15 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 yuk 2016-07-27 13:10:02 UTC
Same on RHEL 7.2......

Comment 4 Thomas Köller 2016-10-23 12:54:31 UTC
I am seeing this on Fedora 24.

Comment 5 mblasco 2016-11-15 21:25:12 UTC
I am seeing this on CentOS 7.2.1511


Note You need to log in before you can comment on or make changes to this bug.